Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196084 - mod_wsgi caused => AH00546: no record of generation 0 of exiting child
Summary: mod_wsgi caused => AH00546: no record of generation 0 of exiting child
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_wsgi
Version: 21
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 09:37 UTC by customercare
Modified: 2015-12-02 17:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:26:31 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2015-02-25 09:37:04 UTC
Description of problem:

After installing mod_wsgi and restarting apache, httpd stopped working and has thrown thousands of eror emssages until it got restarted without the module.

The module was just installed via yum and not configured anywhere except the default config coming with the rpm. 

The apache was a production server running for month without problems.


Version-Release number of selected component (if applicable):

httpd.i686    2.4.10-9.fc21
mod_wsgi.i686 4.3.2-1.fc21     

Steps to Reproduce:
1. yum install mod_wsgi
2. systemctl restart httpd


Actual results:

[Wed Feb 25 00:20:08.369429 2015] [mpm_prefork:notice] [pid 7036] AH00173: SIGHUP received.  Attempting to restart
[Wed Feb 25 00:20:08.605746 2015] [auth_digest:notice] [pid 7036] AH01757: generating secret for digest authentication ...
[Wed Feb 25 00:20:08.874217 2015] [mpm_prefork:notice] [pid 7036] AH00163: Apache/2.4.10 (Fedora) OpenSSL/1.0.1k-fips configured -- resuming normal operations
[Wed Feb 25 00:20:08.874298 2015] [core:notice] [pid 7036] AH00094: Command line: '/usr/sbin/httpd'
[Wed Feb 25 00:20:08.874397 2015] [core:notice] [pid 7036] AH00052: child pid 18766 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:08.874413 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18766
[Wed Feb 25 00:20:08.874426 2015] [core:notice] [pid 7036] AH00052: child pid 18767 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:08.874436 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18767
[Wed Feb 25 00:20:08.874448 2015] [core:notice] [pid 7036] AH00052: child pid 18769 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:08.874457 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18769
[Wed Feb 25 00:20:09.877033 2015] [core:notice] [pid 7036] AH00052: child pid 18768 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:09.877102 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18768
[Wed Feb 25 00:20:09.877120 2015] [core:notice] [pid 7036] AH00052: child pid 18770 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:09.877131 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18770
[Wed Feb 25 00:20:10.881355 2015] [core:notice] [pid 7036] AH00052: child pid 18813 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:10.881418 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18813
[Wed Feb 25 00:20:11.906583 2015] [core:notice] [pid 7036] AH00052: child pid 18851 exit signal Segmentation fault (11)
[Wed Feb 25 00:20:11.906658 2015] [core:error] [pid 7036] AH00546: no record of generation 0 of exiting child 18851
[Wed Feb 25 00:20:11.906741 2015] [core:notice] [pid 7036] AH00052: child pid 18852 exit signal Segmentation fault (11)

Comment 1 Fedora End Of Life 2015-11-04 13:27:29 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 09:26:36 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.